/*
* Prefixed by https://autoprefixer.github.io
* PostCSS: v8.4.14,
* Autoprefixer: v10.4.7
* Browsers: last 4 version
*/

/* Basic CSS Reset */
* {
    margin: 0;
    padding: 0;
    -webkit-box-sizing: border-box;
            box-sizing: border-box;
}

/*

body {
    font-family: 'Roboto', sans-serif;
    background-color: #f0f0f0;
    color: #333;
} */

#container {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
        flex-wrap: wrap;
    -webkit-box-pack: space-evenly;
        -ms-flex-pack: space-evenly;
            justify-content: space-evenly;
}

.product-container {
    overflow: hidden;
    width: -webkit-fit-content;
    width: -moz-fit-content;
    width: fit-content;
    height: fit-content;
    max-width: 400px;
    margin: 20px;
    margin-bottom: 0;
    padding: 20px;
    background-color: hsla(0, 0%, 100%, 0.5);
    /* backdrop-filter: blur(100px);    performance issues */
    /* border: 3px inset hsla(0, 0%, 100%, 0.4); */
    /* border: 2px solid lightslategray ; */
    /* border-radius: 8px; */
    /* box-shadow: 0 0 10px rgba(0, 0, 0, 0.1); */
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-transition: -webkit-transform 0.3s ease;
    transition: -webkit-transform 0.3s ease;
    -o-transition: transform 0.3s ease;
    transition: transform 0.3s ease;
    transition: transform 0.3s ease, -webkit-transform 0.3s ease;
}

.product-container-reverse {
    -webkit-box-orient: vertical;
    -webkit-box-direction: reverse;
        -ms-flex-direction: column-reverse;
            flex-direction: column-reverse;
}

.product-image {
    /* border: 2px solid red; */
    /* width: 50%; */
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    border-radius: inherit;
}

.product-image img {
    border-radius: inherit;
    width: 500px;
    max-width: 100%;
    height: auto;
    aspect-ratio: 1/1;
    -o-object-fit: cover;
       object-fit: cover;
    display: block;
    -webkit-transition: -webkit-transform 0.3s ease, -webkit-box-shadow 0.3s ease;
    transition: -webkit-transform 0.3s ease, -webkit-box-shadow 0.3s ease;
    -o-transition: transform 0.3s ease, box-shadow 0.3s ease;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    transition: transform 0.3s ease, box-shadow 0.3s ease, -webkit-transform 0.3s ease, -webkit-box-shadow 0.3s ease;
    /* pointer-events: none; Disable image interactions */
}

.product-image a {
    display: block;
}

.product-image img:hover {
    -webkit-transform: scale(1.025);
        -ms-transform: scale(1.025);
            transform: scale(1.025);
    -webkit-box-shadow: 0 6px 10px 1px rgba(0, 0, 0, 0.6);
            box-shadow: 0 6px 10px 1px rgba(0, 0, 0, 0.6);
}


.product-details {
    width: 100%;
    margin-top: 0;
    text-align: center;
    padding-top: 10px;
    /* padding-left: 20px; */
}

.product-name {
    font-size: 2em;
    margin-bottom: 0.5em;
    /* color: #007BFF; */
    /* font-family: 'Pacifico', cursive; */
}

.product-description {
    font-size: 1.2em;
    line-height: 1.5;
    font-family: 'Open Sans', sans-serif;
    /* color: #555; */
}

/* @media (max-width: 768px) {
    .product-container {
        height: fit-content;
        flex-direction: column;
        margin: 20px;
    }

    .product-container-reverse {
        flex-direction: column-reverse;
    }

    .product-details {
        margin-top: 20px;
        text-align: center;
    }

    .product-image,
    .product-details {
        width: 100%;
    }
} */